Skip to main content
GET
List campaigns

Authorizations

x-api-key
string
header
default:bd_live_your_key_here
required

Query Parameters

status
enum<string>

Filter by campaign status

Available options:
ACTIVE,
PAUSED,
ARCHIVED,
COMPLETED,
CREATED
userIds
string[]

Filter by owner user IDs

Example:

Response

Return campaigns matching the criteria

id
string
required

The unique identifier of the campaign

Example:

"123e4567-e89b-12d3-a456-426614174000"

name
string
required

The name of the campaign

Example:

"Q4 Sales Outreach"

status
enum<string>
required

The current status of the campaign

Available options:
ACTIVE,
PAUSED,
ARCHIVED,
COMPLETED,
CREATED
Example:

"ACTIVE"

ownerId
string
required

The ID of the user who owns this campaign

Example:

"123e4567-e89b-12d3-a456-426614174000"

ownerEmail
string
required

The email of the user who owns this campaign

Example:

"john.doe@example.com"

createdAt
string<date-time>
required

The date the campaign was created

Example:

"2023-09-15T12:00:00Z"

updatedAt
string<date-time>
required

The date the campaign was last updated

Example:

"2023-09-16T14:30:00Z"

startDate
string<date-time>
required

The date the campaign will start

Example:

"2023-09-15T12:00:00Z"

endDate
string<date-time>
required

The date the campaign will end

Example:

"2023-09-15T12:00:00Z"